---
title: "Appareil"
source: /fr/gcxone/api/device
locale: fr
updated: 2026-09-04
---
Opérations sur les ressources d’appareil. 8 points de terminaison, chacun relatif à `https://api.nxgen.cloud/api/v1` et authentifié comme décrit sous [Authentification](/gcxone/api/authentication).

## POST /device/

CRÉER UN NOUVEAU Appareil

### Corps de la requête

Ajouter un Appareil

```json
{
  "payload": [
    {
      "id": "string",
      "status": "string",
      "armstate": "string",
      "sensorType": "string",
      "commercialName": "string",
      "catalogName": "string",
      "macAddress": "string",
      "deviceType": "string",
      "firmwareVersion": "string",
      "hardwareVersion": "string",
      "manafacturer": "string",
      "modelNo": "string",
      "srNo": "string",
      "specification": "string",
      "description": "string",
      "tags": [
        "string"
      ],
      "eventTags": [
        "string"
      ],
      "photos": [
        "string"
      ],
      "latitude": "string",
      "longitude": "string",
      "userName": "string (required)",
      "password": "string (required)",
      "ipAddressOrHostName": "string (required)",
      "controlPort": "string (required)",
      "RTSPPort": "string (required)",
      "RTSPUrl": "string",
      "type": "string (required)",
      "subType": "string",
      "catalogId": "string",
      "siteId": "string",
      "eventRetentionTime": "string",
      "sitePulseConfiguration": "boolean",
      "pulseConfigurationTime": "object",
      "configureHeatmapMask": "boolean",
      "peirodicHealthCheck": "boolean",
      "jsonSchema": "object",
      "associatedSiteId": "string",
      "cameraCount": "number",
      "cameraList": [
        {
          "name": "…",
          "enabled": "…",
          "adproSourceUrl": "…",
          "channelId": "…"
        }
      ],
      "parentAccountId": "string",
      "siteParent": "string",
      "customerId": "string",
      "serviceProviderId": "string",
      "siteEventProviderId": "string",
      "customerEventProviderId": "string",
      "serviceProvidersEventProviderId": "string",
      "assetStatus": "string",
      "uniqueId": "string",
      "momentsTimeZoneCountryName": "String",
      "profile": {
        "photos": [
          "…"
        ]
      },
      "geoCordinates": {
        "latitude": "string",
        "longitude": "string"
      }
    }
  ]
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |

## GET /device/arming/info?deviceId={deviceId}&action=info

Pour obtenir les informations d’armement de l’Appareil

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| deviceId | requête | chaîne | oui |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

## PUT /device/arming?deviceId={deviceId}&action={action}

Mettre à jour armer/désarmer par DeviceID

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| deviceId | query | chaîne | oui |  |
| action | query | booléen | oui |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

## POST /device/filter

Obtenir la liste des appareils avec filtrage, tri et pagination. Permet la recherche par niveau hiérarchique. Peut être filtré en utilisant la hiérarchie spécifiée ou utilise la hiérarchie de l'utilisateur connecté. Cette option permet d’obtenir des champs d’entité supplémentaires dans la réponse. Fournit également les métadonnées de configuration de l’entité.

### Corps de la requête

Filtrage et tri des appareils

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès | object |
| 204 | No Content |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |

Exemple`200` réponse:

```json
{
  "config": {
    "columns": [
      {
        "visibility": true,
        "columnName": "commercialName",
        "DisplayName": "Device",
        "isFilterable": true,
        "filterType": "stringCondition",
        "sticky": true,
        "isRightBorder": true,
        "isMandatory": true,
        "isNotDraggable": true
      }
    ],
    "defaultNPerPage": 50,
    "defaultFilterCondition": [],
    "defaultSortingOrder": [
      {
        "columnName": "dateTime",
        "isAscending": false
      }
    ],
    "maxVisibleColumnCount": 6,
    "exportLimitNPerPage": 500
  },
  "dataResult": [
    {
      "id": "10eb916e67884c87a0833e494bef7e69",
      "commercialName": "Device",
      "siteParent": "Axxon Site",
      "enableAudio": "Enabled",
      "parentAccountId": "f2b51c0f62c64d15a7b1acc5ea13082d",
      "assetStatus": "active",
      "uniqueId": "10eb916e67884c87a0833e494bef7e69",
      "type": "Axxon",
      "dateTime": 1655707624747,
      "customerName": "Axxon customer"
    },
    {
      "id": "27b050033c2d48769b9fbaa83449cc67",
      "commercialName": "Device",
      "siteParent": "Site test",
      "enableAudio": "Enabled",
      "parentAccountId": "c772ac8dd22f4a9ab8241cb7db87a65e",
      "assetStatus": "active",
      "uniqueId": "27b050033c2d48769b9fbaa83449cc67",
      "type": "EdgeComputer",
      "dateTime": 1655274173376,
      "customerName": "OWT TEST",
      "srNo": "eqrrw"
    }
  ],
  "totalRecordsCount": 3552,
  "filteredBy": [],
  "sortedBy": [
    {
      "columnName": "dateTime",
      "isAscending": false
    }
  ],
  "dispatchedAll": false,
  "isDefaultProjectionMutated": false,
  "isDefaultFilterMutated": false,
  "isDefaultSortingMutated": false
}
```

## PUT /device/isolate?deviceId={deviceId}&enable={enable}

Mettre à jour l’isolation par Device ID

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| deviceId | query | string | yes |  |
| enable | query | boolean | yes |  |
| isolateStartTime | query | nombre | non |  |
| durée | query | nombre | non |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

## GET /device/{id}

Obtenir par Device ID

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| id | chemin | chaîne | oui |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |
| 404 | Pas trouvé |  |

## PUT /device/{id}

Mettre à jour un appareil existant

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| id | chemin | chaîne | oui |  |

### Corps de la demande

```json
{
  "payload": {
    "id": "string",
    "status": "string",
    "armstate": "string",
    "sensorType": "string",
    "commercialName": "string",
    "catalogName": "string",
    "macAddress": "string",
    "deviceType": "string",
    "firmwareVersion": "string",
    "hardwareVersion": "string",
    "manafacturer": "string",
    "modelNo": "string",
    "srNo": "string",
    "specification": "string",
    "description": "string",
    "latitude": "string",
    "longitude": "string",
    "userName": "string (required)",
    "password": "string (required)",
    "ipAddressOrHostName": "string (required)",
    "controlPort": "string (required)",
    "RTSPPort": "string (required)",
    "RTSPUrl": "string",
    "type": "string (required)",
    "subType": "string",
    "catalogId": "string",
    "siteId": "string",
    "eventRetentionTime": "string",
    "sitePulseConfiguration": "boolean",
    "pulseConfigurationTime": "object",
    "configureHeatmapMask": "boolean",
    "peirodicHealthCheck": "boolean",
    "jsonSchema": "object",
    "associatedSiteId": "string",
    "cameraCount": "number",
    "cameraList": [
      {
        "name": "string",
        "enabled": "number",
        "adproSourceUrl": "string",
        "channelId": "number"
      }
    ],
    "parentAccountId": "string",
    "siteParent": "string",
    "customerId": "string",
    "serviceProviderId": "string",
    "siteEventProviderId": "string",
    "customerEventProviderId": "string",
    "serviceProvidersEventProviderId": "string",
    "assetStatus": "string",
    "uniqueId": "string",
    "profile": {
      "business": [
        "string"
      ],
      "photos": [
        "string"
      ],
      "tags": [
        "string"
      ],
      "followers": [
        "string"
      ]
    },
    "geoCordinates": {
      "latitude": "string",
      "longitude": "string",
      "plusCode": "string",
      "what3Words": "string"
    },
    "commisioningStatus": "object",
    "syncStatus": "boolean",
    "jsonSchemaResult": "object",
    "momentsTimeZoneCountryName": "String"
  }
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |

## DELETE /device/{id}

Supprimer un appareil par identifiant

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| id | chemin | chaîne | oui |  |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 204 | Pas de contenu |  |
| 400 | Entrée invalide |  |
| 401 | Non autorisé |  |
| 403 | Interdit |  |